using Vo;
using Microsoft.AspNetCore.Mvc;
using Model;
using Services;
using Model.Base;
using Vo.Admin;
using Mapster;
using Infrastructure;


namespace Controllers.Admin
{
    /// <summary>
    /// PriDatabaseSet)Controller
    /// </summary>
    // [Route("${Router}$")]
    // [ApiExplorerSettings(GroupName = "PriDatabaseSet")]
    public class PriDatabaseSetController : BaseController
    {
        /// <summary>
        /// api分组接口
        /// </summary>
        private readonly IPriDatabaseSetService _PriDatabaseSetService;


        public PriDatabaseSetController(IPriDatabaseSetService PriDatabaseSetService)
        {
            _PriDatabaseSetService = PriDatabaseSetService;

        }

          /// <param name="page">分页参数</param>
        /// <summary>
        /// 列表
        /// </summary>
        /// <param name="page">分页对象</param>
        /// <param name="param">参数请求体</param>
        /// <returns>列表</returns>
        [HttpGet]
        [Route("/v1/pri/PriDatabaseSet/getPriDatabaseSetList")]
        public IActionResult getPriDatabaseSetList([FromQuery] PagerInfo page, [FromQuery] PriDatabaseSet param)
        {
            var response = _PriDatabaseSetService.getPriDatabaseSetList(page, param);
            return SUCCESS(response);
        }


        /// <summary>
        /// 详情
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>详情</returns>
        [HttpGet]
        [Route("/v1/pri/PriDatabaseSet/getPriDatabaseSetQuery")]
        public IActionResult getPriDatabaseSetQuery([FromQuery] PriDatabaseSet param)
        {
            var response = _PriDatabaseSetService.GetFirst(m => m.id == param.id).Adapt<GetPriDatabaseSetQueryVo>();
            return SUCCESS(response);
        }


        /// <summary>
        /// 添加
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>添加</returns>
        [HttpPost]
        [Route("/v1/pri/PriDatabaseSet/addPriDatabaseSet")]
        public IActionResult addPriDatabaseSet([FromBody] PriDatabaseSet param)
        {
            var modal = param.Adapt<PriDatabaseSet>().ToCreate(HttpContext);
            var response = _PriDatabaseSetService.Add(modal);
            return SUCCESS(response);
        }


        /// <summary>
        /// 修改
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>修改</returns>
        [HttpPut]
        [Route("/v1/pri/PriDatabaseSet/updatePriDatabaseSet")]
        public IActionResult updatePriDatabaseSet([FromBody] PriDatabaseSet param)
        {
            var modal = param.Adapt<PriDatabaseSet>().ToCreate(HttpContext);
            var response = _PriDatabaseSetService.Update(modal);
            return SUCCESS(response);
        }


        /// <summary>
        /// 删除
        /// </summary>
        /// <param name="id">ID</param>
        /// <returns>删除</returns>
        [HttpDelete]
        [Route("/v1/pri/PriDatabaseSet/deletePriDatabaseSet/{id}")]
        public IActionResult deletePriDatabaseSet(int id)
        {
            var response = _PriDatabaseSetService.Delete(id);
            return SUCCESS(response);
        }


          /// <param name="page">分页参数</param>
        /// <summary>
        /// 下拉框数据
        /// </summary>
        /// <param name="page">分页对象</param>
        /// <returns>下拉框数据</returns>
        [HttpGet]
        [Route("/v1/pri/PriDatabaseSet/getPriDatabaseSetDic")]
        public IActionResult getPriDatabaseSetDic([FromQuery] PagerInfo page)
        {
            var response = _PriDatabaseSetService.getPriDatabaseSetDic(page);
            return SUCCESS(response);
        }




    }
}