using Vo;
using Microsoft.AspNetCore.Mvc;
using Model;
using Services;
using Model.Base;
using Vo.Admin;
using Mapster;
using Infrastructure;


namespace Controllers.Admin
{
    /// <summary>
    /// PriPrizeInField)Controller
    /// </summary>
    // [ApiExplorerSettings(GroupName = "PriPrizeInField")]
    public class PriPrizeInFieldController : BaseController
    {
        /// <summary>
        /// api分组接口
        /// </summary>
        private readonly IPriPrizeInFieldService _PriPrizeInFieldService;


        public PriPrizeInFieldController(IPriPrizeInFieldService PriPrizeInFieldService)
        {
            _PriPrizeInFieldService = PriPrizeInFieldService;

        }

          /// <param name="page">分页参数</param>
        /// <summary>
        /// 列表
        /// </summary>
        /// <param name="page">分页对象</param>
        /// <param name="param">参数请求体</param>
        /// <returns>列表</returns>
        [HttpGet]
        [Route("/v1/pri/PriPrizeInField/getPriPrizeInFieldList")]
        public IActionResult getPriPrizeInFieldList([FromQuery] PagerInfo page, [FromQuery] PriPrizeInField param)
        {
            var response = _PriPrizeInFieldService.getPriPrizeInFieldList(page, param);
            return SUCCESS(response);
        }


        /// <summary>
        /// 详情
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>详情</returns>
        [HttpGet]
        [Route("/v1/pri/PriPrizeInField/getPriPrizeInFieldQuery")]
        public IActionResult getPriPrizeInFieldQuery([FromQuery] PriPrizeInField param)
        {
            var response = _PriPrizeInFieldService.GetFirst(m => m.id == param.id).Adapt<GetPriPrizeInFieldQueryVo>();
            return SUCCESS(response);
        }


        /// <summary>
        /// 添加
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>添加</returns>
        [HttpPost]
        [Route("/v1/pri/PriPrizeInField/addPriPrizeInField")]
        public IActionResult addPriPrizeInField([FromBody] PriPrizeInField param)
        {
            var modal = param.Adapt<PriPrizeInField>().ToCreate(HttpContext);
            var response = _PriPrizeInFieldService.Add(modal);
            return SUCCESS(response);
        }


        /// <summary>
        /// 修改
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>修改</returns>
        [HttpPut]
        [Route("/v1/pri/PriPrizeInField/updatePriPrizeInField")]
        public IActionResult updatePriPrizeInField([FromBody] PriPrizeInField param)
        {
            var modal = param.Adapt<PriPrizeInField>().ToCreate(HttpContext);
            var response = _PriPrizeInFieldService.Update(modal);
            return SUCCESS(response);
        }


        /// <summary>
        /// 删除
        /// </summary>
        /// <param name="id">ID</param>
        /// <returns>删除</returns>
        [HttpDelete]
        [Route("/v1/pri/PriPrizeInField/deletePriPrizeInField/{id}")]
        public IActionResult deletePriPrizeInField(int id)
        {
            var response = _PriPrizeInFieldService.Delete(id);
            return SUCCESS(response);
        }




    }
}