using Vo;
using Microsoft.AspNetCore.Mvc;
using Model;
using Services;
using Model.Base;
using Vo.Admin;
using Mapster;
using Infrastructure;


namespace Controllers.Admin
{
    /// <summary>
    /// PriPrizeObjectField)Controller
    /// </summary>
    // [ApiExplorerSettings(GroupName = "PriPrizeObjectField")]
    public class PriPrizeObjectFieldController : BaseController
    {
        /// <summary>
        /// api分组接口
        /// </summary>
        private readonly IPriPrizeObjectFieldService _PriPrizeObjectFieldService;


        public PriPrizeObjectFieldController(IPriPrizeObjectFieldService PriPrizeObjectFieldService)
        {
            _PriPrizeObjectFieldService = PriPrizeObjectFieldService;

        }

          /// <param name="page">分页参数</param>
        /// <summary>
        /// 列表
        /// </summary>
        /// <param name="page">分页对象</param>
        /// <param name="param">参数请求体</param>
        /// <returns>列表</returns>
        [HttpGet]
        [Route("/v1/pri/PriPrizeObjectField/getPriPrizeObjectFieldList")]
        public IActionResult getPriPrizeObjectFieldList([FromQuery] PagerInfo page, [FromQuery] PriPrizeObjectField param)
        {
            var response = _PriPrizeObjectFieldService.getPriPrizeObjectFieldList(page, param);
            return SUCCESS(response);
        }


        /// <summary>
        /// 详情
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>详情</returns>
        [HttpGet]
        [Route("/v1/pri/PriPrizeObjectField/getPriPrizeObjectFieldQuery")]
        public IActionResult getPriPrizeObjectFieldQuery([FromQuery] PriPrizeObjectField param)
        {
            var response = _PriPrizeObjectFieldService.GetFirst(m => m.id == param.id).Adapt<GetPriPrizeObjectFieldQueryVo>();
            return SUCCESS(response);
        }


        /// <summary>
        /// 添加
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>添加</returns>
        [HttpPost]
        [Route("/v1/pri/PriPrizeObjectField/addPriPrizeObjectField")]
        public IActionResult addPriPrizeObjectField([FromBody] PriPrizeObjectField param)
        {
            var modal = param.Adapt<PriPrizeObjectField>().ToCreate(HttpContext);
            var response = _PriPrizeObjectFieldService.Add(modal);
            return SUCCESS(response);
        }


        /// <summary>
        /// 修改
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>修改</returns>
        [HttpPut]
        [Route("/v1/pri/PriPrizeObjectField/updatePriPrizeObjectField")]
        public IActionResult updatePriPrizeObjectField([FromBody] PriPrizeObjectField param)
        {
            var modal = param.Adapt<PriPrizeObjectField>().ToCreate(HttpContext);
            var response = _PriPrizeObjectFieldService.Update(modal);
            return SUCCESS(response);
        }


        /// <summary>
        /// 删除
        /// </summary>
        /// <param name="id">ID</param>
        /// <returns>删除</returns>
        [HttpDelete]
        [Route("/v1/pri/PriPrizeObjectField/deletePriPrizeObjectField/{id}")]
        public IActionResult deletePriPrizeObjectField(int id)
        {
            var response = _PriPrizeObjectFieldService.Delete(id);
            return SUCCESS(response);
        }




    }
}