using Vo;
using Microsoft.AspNetCore.Mvc;
using Model;
using Services;
using Model.Base;
using Vo.Admin;
using Mapster;
using Infrastructure;


namespace Controllers.Admin
{
    /// <summary>
    /// PriRecursionEndField)Controller
    /// </summary>
    // [ApiExplorerSettings(GroupName = "PriRecursionEndField")]
    public class PriRecursionEndFieldController : BaseController
    {
        /// <summary>
        /// api分组接口
        /// </summary>
        private readonly IPriRecursionEndFieldService _PriRecursionEndFieldService;


        public PriRecursionEndFieldController(IPriRecursionEndFieldService PriRecursionEndFieldService)
        {
            _PriRecursionEndFieldService = PriRecursionEndFieldService;

        }

          /// <param name="page">分页参数</param>
        /// <summary>
        /// 列表
        /// </summary>
        /// <param name="page">分页对象</param>
        /// <param name="param">参数请求体</param>
        /// <returns>列表</returns>
        [HttpGet]
        [Route("/v1/pri/PriRecursionEndField/getPriRecursionEndFieldList")]
        public IActionResult getPriRecursionEndFieldList([FromQuery] PagerInfo page, [FromQuery] PriRecursionEndField param)
        {
            var response = _PriRecursionEndFieldService.getPriRecursionEndFieldList(page, param);
            return SUCCESS(response);
        }


        /// <summary>
        /// 详情
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>详情</returns>
        [HttpGet]
        [Route("/v1/pri/PriRecursionEndField/getPriRecursionEndFieldQuery")]
        public IActionResult getPriRecursionEndFieldQuery([FromQuery] PriRecursionEndField param)
        {
            var response = _PriRecursionEndFieldService.GetFirst(m => m.id == param.id).Adapt<GetPriRecursionEndFieldQueryVo>();
            return SUCCESS(response);
        }


        /// <summary>
        /// 添加
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>添加</returns>
        [HttpPost]
        [Route("/v1/pri/PriRecursionEndField/addPriRecursionEndField")]
        public IActionResult addPriRecursionEndField([FromBody] PriRecursionEndField param)
        {
            var modal = param.Adapt<PriRecursionEndField>().ToCreate(HttpContext);
            var response = _PriRecursionEndFieldService.Add(modal);
            return SUCCESS(response);
        }


        /// <summary>
        /// 修改
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>修改</returns>
        [HttpPut]
        [Route("/v1/pri/PriRecursionEndField/updatePriRecursionEndField")]
        public IActionResult updatePriRecursionEndField([FromBody] PriRecursionEndField param)
        {
            var modal = param.Adapt<PriRecursionEndField>().ToCreate(HttpContext);
            var response = _PriRecursionEndFieldService.Update(modal);
            return SUCCESS(response);
        }


        /// <summary>
        /// 删除
        /// </summary>
        /// <param name="id">ID</param>
        /// <returns>删除</returns>
        [HttpDelete]
        [Route("/v1/pri/PriRecursionEndField/deletePriRecursionEndField/{id}")]
        public IActionResult deletePriRecursionEndField(int id)
        {
            var response = _PriRecursionEndFieldService.Delete(id);
            return SUCCESS(response);
        }




    }
}