using Vo;
using Microsoft.AspNetCore.Mvc;
using Model;
using Services;
using Model.Base;
using Vo.Admin;
using Mapster;
using Infrastructure;


namespace Controllers.Admin
{
    /// <summary>
    /// PriRecursionStartField)Controller
    /// </summary>
    // [ApiExplorerSettings(GroupName = "PriRecursionStartField")]
    public class PriRecursionStartFieldController : BaseController
    {
        /// <summary>
        /// api分组接口
        /// </summary>
        private readonly IPriRecursionStartFieldService _PriRecursionStartFieldService;


        public PriRecursionStartFieldController(IPriRecursionStartFieldService PriRecursionStartFieldService)
        {
            _PriRecursionStartFieldService = PriRecursionStartFieldService;

        }

          /// <param name="page">分页参数</param>
        /// <summary>
        /// 列表
        /// </summary>
        /// <param name="page">分页对象</param>
        /// <param name="param">参数请求体</param>
        /// <returns>列表</returns>
        [HttpGet]
        [Route("/v1/pri/PriRecursionStartField/getPriRecursionStartFieldList")]
        public IActionResult getPriRecursionStartFieldList([FromQuery] PagerInfo page, [FromQuery] PriRecursionStartField param)
        {
            var response = _PriRecursionStartFieldService.getPriRecursionStartFieldList(page, param);
            return SUCCESS(response);
        }


        /// <summary>
        /// 详情
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>详情</returns>
        [HttpGet]
        [Route("/v1/pri/PriRecursionStartField/getPriRecursionStartFieldQuery")]
        public IActionResult getPriRecursionStartFieldQuery([FromQuery] PriRecursionStartField param)
        {
            var response = _PriRecursionStartFieldService.GetFirst(m => m.id == param.id).Adapt<GetPriRecursionStartFieldQueryVo>();
            return SUCCESS(response);
        }


        /// <summary>
        /// 添加
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>添加</returns>
        [HttpPost]
        [Route("/v1/pri/PriRecursionStartField/addPriRecursionStartField")]
        public IActionResult addPriRecursionStartField([FromBody] PriRecursionStartField param)
        {
            var modal = param.Adapt<PriRecursionStartField>().ToCreate(HttpContext);
            var response = _PriRecursionStartFieldService.Add(modal);
            return SUCCESS(response);
        }


        /// <summary>
        /// 修改
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>修改</returns>
        [HttpPut]
        [Route("/v1/pri/PriRecursionStartField/updatePriRecursionStartField")]
        public IActionResult updatePriRecursionStartField([FromBody] PriRecursionStartField param)
        {
            var modal = param.Adapt<PriRecursionStartField>().ToCreate(HttpContext);
            var response = _PriRecursionStartFieldService.Update(modal);
            return SUCCESS(response);
        }


        /// <summary>
        /// 删除
        /// </summary>
        /// <param name="id">ID</param>
        /// <returns>删除</returns>
        [HttpDelete]
        [Route("/v1/pri/PriRecursionStartField/deletePriRecursionStartField/{id}")]
        public IActionResult deletePriRecursionStartField(int id)
        {
            var response = _PriRecursionStartFieldService.Delete(id);
            return SUCCESS(response);
        }




    }
}