using Mapster;


namespace Model
{
    /// <summary>
    /// 奖励配置 pri_list
    /// </summary>
    [SugarTable("pri_list", "奖励配置")]
    [Tenant("0")]
    public class PriList
    {
        /// <summary>
        /// ID
        /// </summary>
        [SugarColumn(ColumnDescription = "ID", IsPrimaryKey = true, IsIdentity = true, ColumnName = "id")]
        public int id { get; set; }


        /// <summary>
        /// 状态
        /// </summary>
        [SugarColumn(ColumnDescription = "状态", ColumnName = "status")]
        public int status { get; set; }


        /// <summary>
        /// 排序
        /// </summary>
        [SugarColumn(ColumnDescription = "排序", ColumnName = "sort")]
        public int sort { get; set; }


        /// <summary>
        /// 版本号
        /// </summary>
        [SugarColumn(ColumnDescription = "版本号", ColumnName = "version")]
        public int version { get; set; }


        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间", ColumnName = "create_date")]
        public DateTime? createDate { get; set; }


        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(ColumnDescription = "更新时间", ColumnName = "update_date")]
        public DateTime? updateDate { get; set; }


        /// <summary>
        /// 项目
        /// </summary>
        [SugarColumn(ColumnDescription = "项目", ColumnName = "project_id")]
        public int projectId { get; set; }


        /// <summary>
        /// 奖励名称
        /// </summary>
        [SugarColumn(ColumnDescription = "奖励名称", Length = 50, ColumnName = "prize_name")]
        public string? prizeName { get; set; }


        /// <summary>
        /// 奖励代码
        /// </summary>
        [SugarColumn(ColumnDescription = "奖励代码", Length = 50, ColumnName = "prize_code")]
        public string? prizeCode { get; set; }


        /// <summary>
        /// 奖励比例
        /// </summary>
        [SugarColumn(ColumnDescription = "奖励比例", ColumnName = "prize_percent")]
        public decimal prizePercent { get; set; }


        /// <summary>
        /// 奖励固定金额
        /// </summary>
        [SugarColumn(ColumnDescription = "奖励固定金额", ColumnName = "prize_amount")]
        public decimal prizeAmount { get; set; }


        /// <summary>
        /// 条件模式
        /// </summary>
        [SugarColumn(ColumnDescription = "条件模式", Length = 20, ColumnName = "condition_mode")]
        public string? conditionMode { get; set; }


        /// <summary>
        /// 是否递归
        /// </summary>
        [SugarColumn(ColumnDescription = "是否递归", ColumnName = "recursion_flag")]
        public bool recursionFlag { get; set; }


        /// <summary>
        /// 奖励内容
        /// </summary>
        [SugarColumn(ColumnDescription = "奖励内容", Length = 20, ColumnName = "prize_content")]
        public string? prizeContent { get; set; }


        /// <summary>
        /// 入参字段
        /// </summary>
        [SugarColumn(ColumnDescription = "入参字段", Length = 50, ColumnName = "request_param_field")]
        public string? requestParamField { get; set; }


        /// <summary>
        /// 奖励金额来源数据
        /// </summary>
        [SugarColumn(ColumnDescription = "奖励金额来源数据", Length = 50, ColumnName = "prize_source_field")]
        public string? prizeSourceField { get; set; }


        /// <summary>
        /// 分类
        /// </summary>
        [SugarColumn(ColumnDescription = "分类", Length = 20, ColumnName = "kind")]
        public string? kind { get; set; }


        /// <summary>
        /// 奖励金额来源数据类型
        /// </summary>
        [SugarColumn(ColumnDescription = "奖励金额来源数据类型", Length = 20, ColumnName = "prize_source_field_type")]
        public string? prizeSourceFieldType { get; set; }


        /// <summary>
        /// 奖励发放对象
        /// </summary>
        [SugarColumn(ColumnDescription = "奖励发放对象", ColumnName = "prize_obj")]
        public int prizeObj { get; set; }


        /// <summary>
        /// 条件匹配列表
        /// </summary>
        [SugarColumn(ColumnDescription = "条件匹配列表", Length = 200, ColumnName = "query_table_id_list")]
        public string? queryTableIdList { get; set; }



    }
}