using Mapster;


namespace Model
{
    /// <summary>
    /// 奖励金额设置 pri_list_amount_set
    /// </summary>
    [SugarTable("pri_list_amount_set", "奖励金额设置")]
    [Tenant("0")]
    public class PriListAmountSet
    {
        /// <summary>
        /// ID
        /// </summary>
        [SugarColumn(ColumnDescription = "ID", IsPrimaryKey = true, IsIdentity = true, ColumnName = "id")]
        public int id { get; set; }


        /// <summary>
        /// 状态
        /// </summary>
        [SugarColumn(ColumnDescription = "状态", ColumnName = "status")]
        public int status { get; set; }


        /// <summary>
        /// 排序
        /// </summary>
        [SugarColumn(ColumnDescription = "排序", ColumnName = "sort")]
        public int sort { get; set; }


        /// <summary>
        /// 版本号
        /// </summary>
        [SugarColumn(ColumnDescription = "版本号", ColumnName = "version")]
        public int version { get; set; }


        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间", ColumnName = "create_date")]
        public DateTime? createDate { get; set; }


        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(ColumnDescription = "更新时间", ColumnName = "update_date")]
        public DateTime? updateDate { get; set; }


        /// <summary>
        /// 项目
        /// </summary>
        [SugarColumn(ColumnDescription = "项目", ColumnName = "project_id")]
        public int projectId { get; set; }


        /// <summary>
        /// 配置ID
        /// </summary>
        [SugarColumn(ColumnDescription = "配置ID", ColumnName = "list_id")]
        public int listId { get; set; }


        /// <summary>
        /// 奖励比例
        /// </summary>
        [SugarColumn(ColumnDescription = "奖励比例", ColumnName = "prize_percent")]
        public decimal prizePercent { get; set; }


        /// <summary>
        /// 奖励固定金额
        /// </summary>
        [SugarColumn(ColumnDescription = "奖励固定金额", ColumnName = "prize_amount")]
        public decimal prizeAmount { get; set; }


        /// <summary>
        /// 奖励金额来源数据
        /// </summary>
        [SugarColumn(ColumnDescription = "奖励金额来源数据", Length = 200, ColumnName = "prize_source_field")]
        public string? prizeSourceField { get; set; }


        /// <summary>
        /// 奖励代码
        /// </summary>
        [SugarColumn(ColumnDescription = "奖励代码", Length = 50, ColumnName = "prize_code")]
        public string? prizeCode { get; set; }



    }
}