using Mapster;


namespace Model
{
    /// <summary>
    /// 递归开始条件 pri_recursion_start_condition
    /// </summary>
    [SugarTable("pri_recursion_start_condition", "递归开始条件")]
    [Tenant("0")]
    public class PriRecursionStartCondition
    {
        /// <summary>
        /// ID
        /// </summary>
        [SugarColumn(ColumnDescription = "ID", IsPrimaryKey = true, IsIdentity = true, ColumnName = "id")]
        public int id { get; set; }


        /// <summary>
        /// 状态
        /// </summary>
        [SugarColumn(ColumnDescription = "状态", ColumnName = "status")]
        public int status { get; set; }


        /// <summary>
        /// 排序
        /// </summary>
        [SugarColumn(ColumnDescription = "排序", ColumnName = "sort")]
        public int sort { get; set; }


        /// <summary>
        /// 版本号
        /// </summary>
        [SugarColumn(ColumnDescription = "版本号", ColumnName = "version")]
        public int version { get; set; }


        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间", ColumnName = "create_date")]
        public DateTime? createDate { get; set; }


        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(ColumnDescription = "更新时间", ColumnName = "update_date")]
        public DateTime? updateDate { get; set; }


        /// <summary>
        /// 项目
        /// </summary>
        [SugarColumn(ColumnDescription = "项目", ColumnName = "project_id")]
        public int projectId { get; set; }


        /// <summary>
        /// 递归配置ID
        /// </summary>
        [SugarColumn(ColumnDescription = "递归配置ID", ColumnName = "loop_set_id")]
        public int loopSetId { get; set; }


        /// <summary>
        /// 条件返回字段
        /// </summary>
        [SugarColumn(ColumnDescription = "条件返回字段", Length = 200, ColumnName = "return_field_id")]
        public string? returnFieldId { get; set; }


        /// <summary>
        /// 匹配条件
        /// </summary>
        [SugarColumn(ColumnDescription = "匹配条件", Length = 50, ColumnName = "field_query_kind")]
        public string? fieldQueryKind { get; set; }


        /// <summary>
        /// 匹配方式
        /// </summary>
        [SugarColumn(ColumnDescription = "匹配方式", Length = 20, ColumnName = "field_query_model")]
        public string? fieldQueryModel { get; set; }


        /// <summary>
        /// 匹配值
        /// </summary>
        [SugarColumn(ColumnDescription = "匹配值", Length = 50, ColumnName = "field_query_value")]
        public string? fieldQueryValue { get; set; }


        /// <summary>
        /// 匹配值类型
        /// </summary>
        [SugarColumn(ColumnDescription = "匹配值类型", Length = 20, ColumnName = "field_query_value_type")]
        public string? fieldQueryValueType { get; set; }


        /// <summary>
        /// 奖励比例
        /// </summary>
        [SugarColumn(ColumnDescription = "奖励比例", ColumnName = "prize_percent")]
        public decimal prizePercent { get; set; }


        /// <summary>
        /// 奖励固定金额
        /// </summary>
        [SugarColumn(ColumnDescription = "奖励固定金额", ColumnName = "prize_amount")]
        public decimal prizeAmount { get; set; }


        /// <summary>
        /// 开始层级
        /// </summary>
        [SugarColumn(ColumnDescription = "开始层级", ColumnName = "start_index")]
        public int startIndex { get; set; }


        /// <summary>
        /// 分组
        /// </summary>
        [SugarColumn(ColumnDescription = "分组", Length = 20, ColumnName = "group_no")]
        public string? groupNo { get; set; }



    }
}