using Mapster;


namespace Model
{
    /// <summary>
    /// 请求和响应日志 pri_request_log
    /// </summary>
    [SugarTable("pri_request_log", "请求和响应日志")]
    [Tenant("0")]
    public class PriRequestLog
    {
        /// <summary>
        /// ID
        /// </summary>
        [SugarColumn(ColumnDescription = "ID", IsPrimaryKey = true, IsIdentity = true, ColumnName = "id")]
        public int id { get; set; }


        /// <summary>
        /// 状态
        /// </summary>
        [SugarColumn(ColumnDescription = "状态", ColumnName = "status")]
        public int status { get; set; }


        /// <summary>
        /// 排序
        /// </summary>
        [SugarColumn(ColumnDescription = "排序", ColumnName = "sort")]
        public int sort { get; set; }


        /// <summary>
        /// 版本号
        /// </summary>
        [SugarColumn(ColumnDescription = "版本号", ColumnName = "version")]
        public int version { get; set; }


        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间", ColumnName = "create_date")]
        public DateTime? createDate { get; set; }


        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(ColumnDescription = "更新时间", ColumnName = "update_date")]
        public DateTime? updateDate { get; set; }


        /// <summary>
        /// 项目
        /// </summary>
        [SugarColumn(ColumnDescription = "项目", ColumnName = "project_id")]
        public int projectId { get; set; }


        /// <summary>
        /// 请求参数报文
        /// </summary>
        [SugarColumn(ColumnDescription = "请求参数报文", ColumnName = "request_content")]
        public string? requestContent { get; set; }


        /// <summary>
        /// 响应数据报文
        /// </summary>
        [SugarColumn(ColumnDescription = "响应数据报文", ColumnName = "response_content")]
        public string? responseContent { get; set; }


        /// <summary>
        /// 批次号
        /// </summary>
        [SugarColumn(ColumnDescription = "批次号", Length = 50, ColumnName = "batch_no")]
        public string? batchNo { get; set; }


        /// <summary>
        /// 执行时间
        /// </summary>
        [SugarColumn(ColumnDescription = "执行时间", ColumnName = "excute_date")]
        public DateTime? excuteDate { get; set; }


        /// <summary>
        /// 执行完响应时间
        /// </summary>
        [SugarColumn(ColumnDescription = "执行完响应时间", ColumnName = "response_date")]
        public DateTime? responseDate { get; set; }


        /// <summary>
        /// 完成时间
        /// </summary>
        [SugarColumn(ColumnDescription = "完成时间", ColumnName = "finish_date")]
        public DateTime? finishDate { get; set; }



    }
}